public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/xpaint/, media-gfx/xpaint/files/
Date: Sat, 27 Mar 2021 17:01:43 +0000 (UTC)	[thread overview]
Message-ID: <1616863348.ed46e83d672d110adada7533f90878ed9c25e195.sam@gentoo> (raw)

commit:     ed46e83d672d110adada7533f90878ed9c25e195
Author:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Mon Mar 22 16:33:19 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 27 16:42:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed46e83d

media-gfx/xpaint: fix compilation with clang

Closes: https://bugs.gentoo.org/731010
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/xpaint/files/xpaint-2.10.2-libtool-clang.patch | 13 +++++++++++++
 media-gfx/xpaint/xpaint-2.10.2-r1.ebuild                 | 10 +++++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

diff --git a/media-gfx/xpaint/files/xpaint-2.10.2-libtool-clang.patch b/media-gfx/xpaint/files/xpaint-2.10.2-libtool-clang.patch
new file mode 100644
index 00000000000..d6a3dab0783
--- /dev/null
+++ b/media-gfx/xpaint/files/xpaint-2.10.2-libtool-clang.patch
@@ -0,0 +1,13 @@
+libtool doesn't work if compiling with clang.  Need to add --tag=CC
+See bug https://bugs.gentoo.org/731010
+--- a/xpaintrw/Makefile.am
++++ b/xpaintrw/Makefile.am
+@@ -25,7 +25,7 @@
+ 
+ xpaint_DEFINES = $(ARCH_DEFINES) $(EXTRA_DEFINES) $(XAWLIB_DEFINES)
+ 
+-LIBTOOL = /usr/bin/libtool
++LIBTOOL = /usr/bin/libtool --tag=CC
+ AM_CFLAGS   = @X_CFLAGS@ @SPECIAL_CFLAGS@ $(xpaint_DEFINES)
+ AM_YFLAGS     = -d
+ CLEANFILES    = 

diff --git a/media-gfx/xpaint/xpaint-2.10.2-r1.ebuild b/media-gfx/xpaint/xpaint-2.10.2-r1.ebuild
index dc92f046b92..86563f5c2ab 100644
--- a/media-gfx/xpaint/xpaint-2.10.2-r1.ebuild
+++ b/media-gfx/xpaint/xpaint-2.10.2-r1.ebuild
@@ -18,6 +18,7 @@ IUSE="pgf tiff"
 RDEPEND="
 	media-libs/fontconfig
 	media-libs/freetype:2
+	media-libs/libjpeg-turbo:=
 	media-libs/libpng:0=
 	x11-libs/libICE
 	x11-libs/libX11
@@ -28,7 +29,6 @@ RDEPEND="
 	x11-libs/libXpm
 	x11-libs/libXt
 	sys-libs/zlib
-	media-libs/libjpeg-turbo:=
 	pgf? ( media-libs/libpgf )
 	tiff? (
 		media-libs/jbigkit:0=
@@ -39,9 +39,14 @@ DEPEND="${RDEPEND}"
 BDEPEND="
 	sys-devel/bison
 	sys-devel/flex
+	sys-devel/libtool
 	virtual/pkgconfig
 "
 
+PATCHES=(
+	"${FILESDIR}"/${P}-libtool-clang.patch
+)
+
 src_prepare() {
 	default
 	sed -i -e 's/-O3 -s//g' util/Makefile || die
@@ -78,6 +83,5 @@ src_install() {
 		-C util install
 	doicon icons/xpaint.svg
 	make_desktop_entry "${PN}"
-	find "${D}" -name '*.la' -type f -delete || die
-	find "${D}" -name '*.a' -type f -delete || die
+	find "${D}" \( -name '*.la' -o -name '*.a' \) -type f -delete || die
 }


             reply	other threads:[~2021-03-27 17:01 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-27 17:01 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-27  6:22 [gentoo-commits] repo/gentoo:master commit in: media-gfx/xpaint/, media-gfx/xpaint/files/ Viorel Munteanu
2021-04-10  8:31 Joonas Niilola
2021-03-27 17:01 Sam James
2021-03-27 17:01 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616863348.ed46e83d672d110adada7533f90878ed9c25e195.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox